Skip to main content

Driver Schedule List Ep

POST 

/v1/driver_schedule/list

List Driver Schedules

Retrieves driver schedules matching the given filters. Results are capped at 5000 schedules.
Unresolved drivers or depots will be returned as errors while the remaining valid filters are still applied.

Required Scopes (ids.r, ids.w)

Request Body

ids: list[str] | None = None
A list of driver schedule IDs to retrieve.


drivers: list[Driver] | None = None
A list of driver hierarchy keys to filter by.


depots: list[Depot] | None = None
A list of depot hierarchy keys to filter by.


start_date: datetime | None = None
The earliest shift start time to include.


end_date: datetime | None = None
The latest shift start time to include.


timezone: TimezoneEnum = utc
The timezone to apply to the response.


shift: Shift | None = None
Filter by shift type (am/pm).

Response

rows: list[DriverScheduleResponse]
The matching driver schedules.

DriverScheduleResponse Fields

id: str
The internal identifier for the driver schedule.


shift_start: datetime
The start time of the shift.


shift_end: datetime
The end time of the shift.


timezone: TimezoneEnum = utc
The timezone of the response.


shift: Shift | None = None
The shift type (am/pm).


driver_id: str
The internal identifier for the driver.


driver_name: str
The name of the driver.


driver_source_system: str | None = None
The source system of the driver.


driver_source_id: str | None = None
The source system identifier for the driver.


depot_id: str
The internal identifier for the depot.


depot_name: str
The name of the depot.


depot_source_system: str | None = None
The source system of the depot.


depot_source_id: str | None = None
The source system identifier for the depot.


tractor_id: str | None
The internal identifier for the tractor.


tractor_number: str | None
The number of the tractor.


tractor_source_system: str | None = None
The source system of the tractor.


tractor_source_id: str | None = None
The source system identifier for the tractor.


trailer_id: str | None
The internal identifier for the trailer.


trailer_number: str | None
The number of the trailer.


trailer_source_system: str | None = None
The source system of the trailer.


trailer_source_id: str | None = None
The source system identifier for the trailer.


errors: list[str]
Errors for any drivers or depots that could not be resolved.

Responses

Successful Response

{
"rows": [
{
"id": "string",
"shift_start": "2026-05-11T19:25:52.542Z",
"shift_end": "2026-05-11T19:25:52.542Z",
"timezone": "UTC",
"shift": "am",
"driver_id": "string",
"driver_name": "string",
"driver_source_system": "string",
"driver_source_id": "string",
"depot_id": "string",
"depot_name": "string",
"depot_source_system": "string",
"depot_source_id": "string",
"tractor_id": "string",
"tractor_number": "string",
"tractor_source_system": "string",
"tractor_source_id": "string",
"trailer_id": "string",
"trailer_number": "string",
"trailer_source_system": "string",
"trailer_source_id": "string"
}
],
"errors": [
"string"
]
}
Loading...